import request from '@/utils/request'

// 查询复学申请记录列表
export function listRtStuReentrySchool(query) {
  return request({
    url: '/routine/rtStuReentrySchool/list',
    method: 'get',
    params: query
  })
}

// 查询复学申请记录详细
export function getRtStuReentrySchool(reentryId) {
  return request({
    url: '/routine/rtStuReentrySchool/' + reentryId,
    method: 'get'
  })
}

// 根据流程id查询数据
export function getRtStuReentrySchoolByProcInsId(procInsId) {
  return request({
    url: '/routine/rtStuReentrySchool/getRtStuReentrySchoolByProcInsId/' + procInsId,
    method: 'get',
  })
}

// 新增复学申请记录
export function addRtStuReentrySchool(data) {
  return request({
    url: '/routine/rtStuReentrySchool/add',
    method: 'post',
    data: data
  })
}

// 保存复学申请记录
export function save(data) {
  return request({
    url: '/routine/rtStuReentrySchool/save',
    method: 'post',
    data: data
  })
}

// 修改复学申请记录
export function updateRtStuReentrySchool(data) {
  return request({
    url: '/routine/rtStuReentrySchool/update',
    method: 'post',
    data: data
  })
}

// 删除复学申请记录
export function delRtStuReentrySchool(reentryId) {
  return request({
    url: '/routine/rtStuReentrySchool/' + reentryId,
    method: 'post'
  })
}
